Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui.model
Class TreeContentProvider<INPUT>

    java.lang.Object
      org.eclipse.emf.ecp.internal.ui.model.StructuredContentProvider<INPUT>
          org.eclipse.emf.ecp.internal.ui.model.TreeContentProvider<INPUT>

Type Parameters:
  `INPUT` - The type of input (root of the tree)

All Implemented Interfaces:
  org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider

Direct Known Subclasses:
  ECPContentProvider, ProvidersContentProvider

    public abstract class TreeContentProvider<INPUT>

extends StructuredContentProvider<INPUT>
implements org.eclipse.jface.viewers.ITreeContentProvider

Author:
  Eike Stepper

Nested Class Summary
`static class` | `TreeContentProvider.ErrorElement`
`static class` | `TreeContentProvider.SlowElement`
`static class` | `TreeContentProvider.SyntheticElement`

Constructor Summary
`TreeContentProvider()`

Method Summary
`Object[]` | `getChildren(Object parent)`
`Object[]` | `getElements(Object parent)`
`Object` | `getParent(Object child)`
`org.eclipse.jface.viewers.TreeViewer` | `getViewer()`
`boolean` | `hasChildren(Object parent)`
`static void` | `refresh(org.eclipse.jface.viewers.TreeViewer viewer, Object... objects)`
`void` | `refreshViewer(boolean isStructuralChange, Object... objects)`
`static void` | `update(org.eclipse.jface.viewers.TreeViewer viewer, Object... objects)`

Methods inherited from class org.eclipse.emf.ecp.internal.ui.model.StructuredContentProvider
`dispose, getInput, inputChanged, refreshViewer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IContentProvider
`dispose, inputChanged`

Constructor Detail

### TreeContentProvider

    public TreeContentProvider()

Method Detail

### getViewer

    public org.eclipse.jface.viewers.TreeViewer getViewer()

  Overrides:
    `getViewer` in class `StructuredContentProvider<INPUT>`

### getElements

    public final Object[] getElements(Object parent)

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

### hasChildren

    public final boolean hasChildren(Object parent)

  Specified by:
    `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

### getChildren

    public final Object[] getChildren(Object parent)

  Specified by:
    `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

### getParent

    public final Object getParent(Object child)

  Specified by:
    `getParent` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

### refreshViewer

    public final void refreshViewer(boolean isStructuralChange,
                                    Object... objects)

### refresh

    public static void refresh(org.eclipse.jface.viewers.TreeViewer viewer,
                               Object... objects)

### update

    public static void update(org.eclipse.jface.viewers.TreeViewer viewer,
                              Object... objects)

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.